Skip to content

Gets all of the revenue recognition schedules in the system.

Request

This method will scan all revenue recognition schedules and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/revenueRecognitionSchedules/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The revenue recognition scheduleswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
batch_idstring(Batch)required

The batch that posted the schedule

business_unit_idstring(Business Unit)required

The business unit this schedule belongs to

contact_idstring(Contact)

Contact that owns this

credit_memo_idstring(Credit Memo)required
currency_codestring, = 3 characters(Currency Code)required

The currency code for the revenue recognition schedule

custom_field_valuesArray of objects(Custom Field Values)
customer_typestring(Customer Type)

The type of customer that "owns" this schedule

datestring(Date)
debit_memo_idstring(Debit Memo)required
deferred_revenue_gl_account_idstring(Deferred Revenue Gl Account)required
entriesArray of objects, non-emptyrequired
idstring(ID)^[\w:|-]+$required

The unique, string identifier of this revenue recognition schedule

invoice_idstring(Invoice)required
invoice_line_item_idstring(Invoice Line Item)required
membership_idstring(Membership)

The membership this schedule is tied to

notesstring(Notes)

Optional notes/description for the schedule

organization_idstring(Organization)

Organization that owns this

parent_schedule_idstring(Parent Schedule)

The parent schedule, if this schedule is related to another

payment_idstring(Payment)required
payment_line_item_idstring(Payment Line Item)required
product_idstring(Product)required

The ID of the product

product_namestring(Product Name)

The name of the product

product_typestring(Product Type)required

The type of product being deferred

product_versionnumber, (float)(Product Version)

The versino of the product that created this schedule

recognized_amountnumber, (float)(Recognized Amount)required

The amount of revenue that has been recognized

refund_idstring(Refund)required
revenue_gl_account_idstring(Revenue Gl Account)required
revenue_splitsArray of objects
statusstring(Status)required
Enum:"closed""open"
sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_business_unit_statusstring(Sys Business Unit Status)

Concatenation of the business unit id and the status, used for indexing

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

totalnumber, (float)(Total)required

The total to be recognized in this schedule

transaction_idstring(Transaction)required

The transaction ID

typestring(Type)required
Enum:"credit memo""debit memo""invoice""payment""refund""write off"
unrecognized_amountnumber, (float)(Unrecognized Amount)required

The unrecognized amount of revenue

write_off_idstring(Write Off)required
]
Response
[ { "batch_id": "string", "business_unit_id": "string", "contact_id": "string", "credit_memo_id": "string", "currency_code": "str", "custom_field_values": [ … ], "customer_type": "string", "date": "string", "debit_memo_id": "string", "deferred_revenue_gl_account_id": "string", "entries": [ … ], "id": "string", "invoice_id": "string", "invoice_line_item_id": "string", "membership_id": "string", "notes": "string", "organization_id": "string", "parent_schedule_id": "string", "payment_id": "string", "payment_line_item_id": "string", "product_id": "string", "product_name": "string", "product_type": "string", "product_version": 0.1, "recognized_amount": 0.1, "refund_id": "string", "revenue_gl_account_id": "string", "revenue_splits": [ … ], "status": "closed", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_business_unit_status": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "total": 0.1, "transaction_id": "string", "type": "credit memo", "unrecognized_amount": 0.1, "write_off_id": "string" } ]